package net.northking.cctp.scriptcase.dto.atuScript;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.saas.db.TenantPartition;

import java.io.Serializable;

@JsonSerialize
@ApiModel("用户查询实体")
public class UserQueryDto extends TenantPartition implements Serializable {

    /**
     * 用户中文名称<br>
     */
    @ApiModelProperty("用户中文名称")
    private String userChnName;
    @ApiModelProperty(value = "租户id")
    private String tenantId;

    @ApiModelProperty("用户中文名称")
    private String userChnNames;

    public String getUserChnName() {
        return userChnName;
    }

    public void setUserChnName(String userChnName) {
        this.userChnName = userChnName;
    }

    @Override
    public String getTenantId() {
        return tenantId;
    }

    @Override
    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getUserChnNames() {
        return userChnNames;
    }

    public void setUserChnNames(String userChnNames) {
        this.userChnNames = userChnNames;
    }
}
